summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--desktop/xmobar/README12
-rw-r--r--desktop/xmobar/slack-desc19
-rwxr-xr-xdesktop/xmobar/xmobar.SlackBuild73
-rw-r--r--desktop/xmobar/xmobar.info10
4 files changed, 114 insertions, 0 deletions
diff --git a/desktop/xmobar/README b/desktop/xmobar/README
new file mode 100644
index 0000000000..1b79a3d21d
--- /dev/null
+++ b/desktop/xmobar/README
@@ -0,0 +1,12 @@
+xmobar (A Minimalistic Text Based Status Bar)
+
+It was designed to work with the xmonad Window Manager.
+
+It was inspired by the Ion3 status bar, and supports similar features,
+like dynamic color management, output templates, and extensibility
+through plugins.
+
+This requires ghc, haskell-X11, haskell-X11-xft, haskell-mtl, haskell-stm,
+haskell-parsec, and haskell-hinotify.
+
+haskell-xmonad-contrib is recommended.
diff --git a/desktop/xmobar/slack-desc b/desktop/xmobar/slack-desc
new file mode 100644
index 0000000000..f6778f0c9b
--- /dev/null
+++ b/desktop/xmobar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+xmobar: xmobar (A Minimalistic Text Based Status Bar)
+xmobar:
+xmobar: It was designed to work with the xmonad Window Manager.
+xmobar:
+xmobar: It was inspired by the Ion3 status bar, and supports similar features,
+xmobar: like dynamic color management, output templates, and extensibility
+xmobar: through plugins.
+xmobar:
+xmobar: http://code.haskell.org/~arossato/xmobar/
+xmobar:
+xmobar:
diff --git a/desktop/xmobar/xmobar.SlackBuild b/desktop/xmobar/xmobar.SlackBuild
new file mode 100755
index 0000000000..ab7f8151f6
--- /dev/null
+++ b/desktop/xmobar/xmobar.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for xmobar
+
+# Written by Xavier Maillard <xma@gnu.org>
+# Public domain.
+
+PRGNAM=xmobar
+VERSION=${VERSION:-0.9.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+GHC_VERSION=$(ghc-pkg field ghc version | cut -d' ' -f2)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runhaskell Setup.lhs configure \
+ --constraint="base<4" \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}/ghc-$GHC_VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --flags="with_xft" \
+ --flags="with_inotify"
+
+runhaskell Setup.lhs build
+runhaskell Setup.lhs copy --destdir=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README xmobar.config-sample \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xmobar/xmobar.info b/desktop/xmobar/xmobar.info
new file mode 100644
index 0000000000..6bc5d8e69c
--- /dev/null
+++ b/desktop/xmobar/xmobar.info
@@ -0,0 +1,10 @@
+PRGNAM="xmobar"
+VERSION="0.9.1"
+HOMEPAGE="http://code.haskell.org/~arossato/xmobar/"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/xmobar/0.9.2/xmobar-0.9.2.tar.gz"
+MD5SUM="1177eef9f032256ccf370239a0703eab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Xavier Maillard"
+EMAIL="xma@gnu.org"
+APPROVED="rworkman"